สวัสดีทุกคน ฉันยังใหม่กับ Ubuntu เป็นครั้งแรกที่ฉันพยายามติดตั้งและตั้งค่าสภาพแวดล้อมบน Ubuntu

ฉันติดตั้ง jdk 7 จากตัวติดตั้ง webupd และติดตั้งแพ็คเกจการตั้งค่าเริ่มต้น ฉันยังติดตั้ง ant 1.9.3 ซึ่งควรติดตั้งอย่างถูกต้อง

ประการแรกฉันทำตามคำแนะนำที่ได้รับจากการค้นหาของ Google มันบอกว่าฉันแค่ต้องดาวน์โหลดแพ็คเกจและแตกไฟล์แล้วนำไปไว้ที่ใดก็ได้ที่ฉันต้องการ แต่มันกลับกลายเป็นว่าเมื่อฉันคลิกคราสมันไม่ทำงาน ไม่มีอะไรเกิดขึ้น.

ดังนั้นผมจึงไม่มากของการค้นหาในที่สุดผมก็ทำตามบล็อกนี้ที่นี่

ฉันดาวน์โหลด eclipse จากเว็บไซต์อย่างเป็นทางการ มันเป็นคำสั่งที่เรียบร้อยมาก และฉันเปรียบเทียบกับคำแนะนำอื่นๆ ที่ฉันได้รับ มันน่าจะใช้ได้ แต่หลังจากทำตามขั้นตอนทั้งหมดแล้ว ฉันได้รับข้อความดังนี้: "eclipse" is not installed

ฉันอ่านสิ่งนี้จากนั้นเพิ่มสิ่ง "-vm" และ "/path/to/java" ลงใน eclipse.ini ดังนี้:

-startup
plugins/org.eclipse.equinox.launcher_1.3.0.v20130327-1440.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20140116-2212
-product
org.eclipse.epp.package.java.product
--launcher.defaultAction
openFile
-showsplash
org.eclipse.platform
--launcher.XXMaxPermSize
256m
--launcher.defaultAction
openFile
--launcher.appendVmargs
-vm
/usr/lib/jvm/java-7-oracle/bin/java
-vmargs
-Dosgi.requiredJavaVersion=1.6
-XX:MaxPermSize=256m
-Xms40m
-Xmx512m

จากนั้นฉันพยายามเรียกใช้ eclipse จากเทอร์มินัลอีกครั้ง (ด้วยคำสั่ง: eclipse) ได้รับข้อความแสดงข้อผิดพลาดเช่นนี้:

[email protected]:~$ eclipse
bash: /usr/bin/eclipse: cannot execute binary file

ฉันไม่รู้จริงๆ ว่าเกิดอะไรขึ้นและได้ดำเนินการเรื่องนี้มาทั้งวัน มีใครสามารถช่วยฉันได้บ้าง ขอบคุณมาก.

answer

จากลิงก์ไปยังบทความที่คุณกล่าวถึงในคำถาม ผู้เขียนแสดงตัวอย่างเพื่อดาวน์โหลด eclipse เวอร์ชัน 64 บิต

ฉันสงสัยว่าคุณกำลังใช้ x86 Ubuntu กับ x86_64 JVM เพื่อให้แน่ใจว่า Ubuntu ของคุณเป็น 64 บิต ให้รันคำสั่งต่อไปนี้:

$ uname -i